# Uses of Interface
org.apache.solr.common.util.RetryUtil.BooleanRetryCmd

Packages that use RetryUtil.BooleanRetryCmd
Package
Description
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of RetryUtil.BooleanRetryCmd in org.apache.solr.common.util

Methods in org.apache.solr.common.util with parameters of type RetryUtil.BooleanRetryCmd
Modifier and Type
Method
Description
`static void`
RetryUtil.`retryOnBoolean(long timeoutms, long intervalms, RetryUtil.BooleanRetryCmd cmd)`
Retries a command until it returns `true` or the timeout is reached.
`static void`
RetryUtil.`retryUntil(String errorMessage, int retries, long pauseTime, TimeUnit pauseUnit, RetryUtil.BooleanRetryCmd cmd)`
Retries a command until it returns `true` or the maximum number of retries is reached.